@import url("https://use.typekit.net/izt5wtz.css");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600&family=Open+Sans:wght@300;400;500;600&family=Oswald:wght@500&display=swap");

:root {
  --wreath-font: "wreath", serif;
  --wreath-weight: 700;
  --decoy-font: "decoy", serif;
  --decoy-weight: 400;
  --hoss-round: "hoss-round", sans-serif;
  --hoss-weight: 400;
  --inter-font: "Inter", "sans-serif";
}

body {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

.startscreen {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
}

.beach-background {
  width: 100%;
}

.background-overlay {
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.3);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.settings-btn {
  position: absolute;
  right: 15px;
  top: 15px;
  background: none;
  outline: none;
  border: none;
  text-decoration: none;
}

.summerrush-logo {
  height: 220px;
  animation: 0.5s ease-out slideInDown;
}

@keyframes slideInDown {
  0% {
    opacity: 0;
    transform: translateY(-50%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@-webkit-keyframes slideInDown {
  0% {
    opacity: 0;
    transform: translateY(-50%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.buttons {
  margin: 0;
  padding: 0;
  list-style: none;
  margin-top: 30px;
  animation: 0.5s ease-out slideInUp;
}

@keyframes slideInUp {
  0% {
    opacity: 0;
    transform: translateY(50%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@-webkit-keyframes slideInUp {
  0% {
    opacity: 0;
    transform: translateY(50%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.playgame-button {
  height: 70px;
  width: 350px;
  display: flex;
  text-decoration: none;
  margin: auto;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #f5af18;
  border-radius: 13px;
  margin-bottom: 20px;
}

.screen-button-text {
  text-decoration: none;
  color: white;
  font-family: var(--hoss-round);
  font-size: 40px;
  margin-left: 10px;
}

.screen-button-img {
  margin-right: 10px;
  height: 45px;
}

.screen-button {
  height: 70px;
  width: 350px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #87c0be;
  border-radius: 13px;
  margin-bottom: 20px;
}

/* media query tablet  */
@media only screen and (max-device-width: 1024px) {
  .summerrush-logo {
    height: 350px;
    margin-top: -250px;
  }
}

/* media query normal phone  */
@media only screen and (max-device-width: 767px) {
  .beach-background {
    height: 100%;
  }

  .summerrush-logo {
    height: 234px;
    margin-top: -207px;
  }
}

/* media query small phone  */
@media only screen and (max-device-width: 376px) {
  .summerrush-logo {
    height: 223px;
    margin-top: -97px;
  }

  .screen-button-text {
    font-size: 30px;
  }

  .playgame-button {
    height: 57px;
    width: 290px;
  }

  .screen-button {
    height: 57px;
    width: 290px;
  }
}
